GNOME Dictionary 3.26.1                                               2017-10-01
================================================================================
Bug fixes
• 777584 - menu for dictionary selection has too small size
• 762589 - Can't add dictionary sources

Updated translations
  Russian, French, Greek, Persian, Polish

GNOME Dictionary 3.26.0                                               2017-09-12
================================================================================
• Update the gnome-dictionary man page and install it (#786319)
• Ensure that desktop files and AppData metadata is valid

Updated translations
  Slovenian, Galician, Serbian, Finnish, Indonesian, Hungarian, Croatian,
  French, Danish, Catalan, Basque, Brazilian Portuguese, French, Turkish,
  Korean, Slovak, Belarusian, Latvian, Chinese (Taiwan), Italian

GNOME Dictionary 3.25.90                                              2017-08-09
================================================================================
• The GDict library is now private for GNOME Dictionary, and it is not
  installed any more
• The "Description" key for dictionary sources has been deprecated, and
  replaced with the "Comment" one, to allow for localisation with Gettext
• GNOME Dictionary does not depend on intltool for builds
• GNOME Dictionary switched to the Meson build system from Autotools
• Use natural_width for database popover (#777584)
• Fix typos in manual (#766412)
• Fix displaying the program name in the about dialog (#784343)

Updated translations
  Catalan, Norwegian bokmål, Greek, Croatian, Polish, Belarusian, Indonesian,
  Friulian, Slovenian, German, Hungarian, Spanish, Kazakh, Catalan, Czech,
  Swedish

GNOME Dictionary 3.24.0                                               2017-03-20
================================================================================
Application
 * Move more UI into the XML template (Emmanuele Bassi)
 * Fix the DatabaseChooserButton construction (Emmanuele Bassi)
 * Remove unused app menu item (Emmanuele Bassi)
 * Store the appropriate window size (Emmanuele Bassi)
 * Bump up the dependency on GLib and GTK+ (Emannuele Bassi)
 * Use Unicode in translatable strings (Piotr Drąg)
 * Add Ctrl+Q keyboard accelerator quit shortcut (Felipe Borges)
 * Add Flatpak manifest (Emmanuele Bassi)
 * Use gtk_show_uri_on_window() with newer GTK+ (Emmanuele Bassi)
 * Use gtk_menu_popup_at_widget() with newer GTK+ (Emmanuele Bassi)
 * Add Language headers to po files (Piotr Drąg)

Library
 * Use appropriate sizing for DB chooser (Emmanuele Bassi)
 * Use get_instance_private() (Emmanuele Bassi)
 * Fix DatabaseChooserButton annotations (Emmanuele Bassi)
 * Use a symbolic icon in DatabaseChooserButton (Emmanuele Bassi)
 * Include the right header in GdictClientContext (Emmanuele Bassi)

Translations
 * vi (Trần Ngọc Quân), fur (Fabio Tomat), fa (Arash Mousavi),
   pt (Sérgio Cardeira), gd (GunChleoc), pt_BR (Rafael Fontenelle),
   oc (Cédric Valmary), sv (Sebastian Rasmussen), nb (Kjartan Maraas),
   id (Andika Triwidada), he (Yosef Or Boczko), pl (Piotr Drąg),
   da (Ask Hjorth Larsen), en_GB (David King), zh_CN (Dz Chen),
   de (Mario Blättermann), cs (Marek Cernock), es (Daniel Mustieles),
   hu (Balázs Meskó), kk (Baurzhan Muftakhidinov), sk (Dušan Kazik),
   fr (Claude Paroz), eu (Inaki Larranaga Murgoitio), fi (Jiri Grönroos),
   zh_TW (Chao-Hsiung Liao), sr (Мирослав Николић), it (Milo Casagrande),
   is (Sveinn í Felli), lt (Aurimas Černius), gl (Fran Dieguez),
   ru (Yuri Myasoedov), ko (Changwoo Ryu), lv (Rūdolfs Mazurs),
   ja (Kento Tsuji)

GNOME Dictionary 3.20.0                                               2016-03-22
================================================================================
Translations
 * uk (Daniel Korostil), kk (Baurzhan Muftakhidinov), sl (Matej Urbančič),
   fur (Fabio Tomat), lt (Aurimas Černius), ru (Stas Solovey),
   ko (Seong-ho Cho), fi (Jiri Grönroos), sr (Марко Костић),
   sr@latin (Милош Поповић), eu (Inaki Larranaga Murgoitio),
   da (Ask Hjorth Larsen)

GNOME Dictionary 3.19.91                                              2016-03-01
================================================================================
Translations
 * gl (Fran Dieguez), it (Milo Casagrande), oc (Cédric Valmary),
   pt_BR (Fábio Nogueira), sr (Мирослав Николић),
   sr@latin (Мирослав Николић), sv (Anders Jonsson)

GNOME Dictionary 3.19.90                                              2016-02-14
================================================================================
Application
 * Add a missing tag to the AppData file (Richard Hughes)

Translations
 * bg (Alexander Shopov), cs (Marek Černocký), el (Tom Tryfonidis),
   es (Daniel Mustieles), fr (Alexandre Franke), hu (Balázs Meskó),
   lv (Rūdolfs Mazurs), sl (Matej Urbančič), zh_TW (Chao-Hsiung Liao)

GNOME Dictionary 3.19.0                                               2016-01-24
================================================================================
Application
 * Update the AppData file to spec version 0.7+ (Richard Hughes)
 * Drop deprecated API from DefBox (Juan R. García Blanco)
 * Bump required Gtk+ version (Juan R. García Blanco)

Translations
de (Mario Blättermann), pl (Piotr Drąg), vi (Trần Ngọc Quân), sk (Dušan Kazik)

GNOME Dictionary 3.18.1                                               2016-01-18
================================================================================
Library
 * Create new GdictDatabaseChooserButton widget (Juan R. García Blanco)
 * Symbolic icons (Michael Catanzaro)

Application
 * Fix spelling in "Creating XDG config directory" message (Ville Skyttä)
 * Use GTK's automagic menu loading (Emmanuele Bassi)
 * Symbolic icons (Michael Catanzaro)
 * Replace action area with header bar (Michael Catanzaro)
 * Replace deprecated GtkTable with GtkGrid (Juan R. García Blanco)

Translations
 * de (Mario Blättermann), eu (Inaki Larranaga Murgoitio), ga (Seán de Búrca),
   lt (Aurimas Černius), pt (Pedro Albuquerque), sr (Марко Костић),
   sr@latin (Милош Поповић), vi (Trần Ngọc Quân)

GNOME Dictionary 3.18.0                                               2015-09-21
================================================================================
Translations
 * French, Chinese (Taiwan), Galician, Greek, Polish, Lithuanian, Italian,
   Kazakh, Korean, Finnish, Persian, Indonesian, Japanese, Danish

GNOME Dictionary 3.17.90                                              2015-08-18
================================================================================
Library
 * Split lookup-start and lookup-end signals (Juan R. García Blanco)
 * Improve GdictDatabaseChooser widget (Juan R. García Blanco)
 * Add library initialize function (Juan R. García Blanco)
Translations
 * fr (Alexandre Franke), fur (Fabio Tomat), sv (Anders Jonsson)

GNOME Dictionary 3.17.4                                               2015-07-19
================================================================================
Translations
 * hu (Balázs Úr), pt_BR (Felipe Braga), pt (Pedro Albuquerque),
   ru (Stas Solovey)

GNOME Dictionary 3.17.3                                               2015-06-22
================================================================================
Translations
 * de (Benjamin Steinwender), es (Daniel Mustieles), tr (Necdet Yücel)

Application
 * Remove Select All menu entry (Juan R. García Blanco)
 * Remove Edit submenu (Juan R. García Blanco)
 * Remove Close menu entry (Juan R. García Blanco)
 * Make entries under File top-level menu entries (Juan R. García Blanco)
 * Remove obsolete gdict_window_defbox_selection_changed (Juan R. García Blanco)

GNOME Dictionary 3.17.2                                               2015-05-25
================================================================================
Translations
 * cs (Marek Černocký), he (Yosef Or Boczko), nb (Kjartan Maraas),
   oc (Cédric Valmary), sk (Dušan Kazik), sl (Matej Urbančič),
   tg (Victor Ibragimov), zh_CN (osfans)

Application
 * Fix #749131: Do not translate stack pages titles (Juan R. García Blanco)
 * Remove Copy menu entry (Juan R. García Blanco)

GNOME Dictionary 3.17.1                                               2015-04-27
================================================================================
Translations
 * cs (Marek Černocký), el (Tom Tryfonidis), et (Mattias Põldaru),
   ja (Hajime Taira), nl (Hannie Dumoleyn)

Application
 * Pass the application pointer to the window constructor (Emmanuele Bassi)
 * Drop homegrown app singleton (Emmanuele Bassi)
 * Use widget templates to build GdictPrefDialog (Emmanuele Bassi)
 * Rename the GdictPrefDialog UI definition (Emmanuele Bassi)
 * Rename the menus UI definition file (Emmanuele Bassi)
 * Use widget templates for GdictSourceDialog (Emmanuele Bassi)
 * Remove compilation warnings (Juan R. García Blanco)
 * Improve menu items sensitivity (Juan R. García Blanco)
 * Show a spinner while loading word definitions (Juan R. García Blanco)
 * Remove status bar (Juan R. García Blanco)
 * Use widget templates and a header bar (Juan R. García Blanco)
 * Move New Window to app menu (Juan R. García Blanco)

Library
 * Fix a compiler warning (Emmanuele Bassi)
 * Add GdictDefbox::selection-changed signal (Juan R. García Blanco)
 * Replace custom find bar with GtkSearchBar (Juan R. García Blanco)
 * Remove extra box around GdictDefBox (Juan R. García Blanco)
 * Do not set busy cursor in GdictDefBox (Juan R. García Blanco)

Build
 * Drop unnecessary double indirection when generating schemas (Emmanuele Bassi)

GNOME Dictionary 3.16.0                                               2015-03-22
================================================================================
Translations
 * ca (Jordi Mas), eu (Inaki Larranaga Murgoitio), id (Andika Triwidada),
   tr (Muhammet Kara), hu (Gábor Kelemen)

Documentation
 * Fix paste keyboard shortcut (Gabor Kelemen)

GNOME Dictionary 3.15.92                                              2015-03-15
================================================================================
Application
 * Implement GApplication::activate signal (Emmanuele Bassi)

Translations
 * bs (Samir Ribic), da (Ask Hjorth Larsen), eo (Kristjan SCHMIDT),
   fi (Jiri Grönroos), it (Milo Casagrande), kk (Baurzhan Muftakhidinov),
   ko (Changwoo Ryu), nb (Kjartan Maraas), pl (Paweł Żołnowski),
   sr@latin (Мирослав Николић), sv (Anders Jonsson), tg (Victor Ibragimov),
   vi (Trần Ngọc Quân)

GNOME Dictionary 3.15.91                                              2015-03-02
================================================================================
Application
 * Rename the AppData file to match the desktop name (Richard Hughes)
 * Fix #745022: Drop deprecated API (Emmanuele Bassi)
 * Drop slash for the 'Find' action (Saurav Agarwalla)

Library
 * Fix #745022: Drop deprecated API (Emmanuele Bassi)

Translations
 * cs (Marek Černocký), de (Wolfgang Stöggl), el (Efstathios Iosifidis),
   el (Tom Tryfonidis), es (Daniel Mustieles), fr (Alexandre Franke),
   gl (Fran Dieguez), he (Yosef Or Boczko), hu (Balázs Úr),
   lt (Aurimas Černius), pt_BR (Rafael Ferreira), ru (Stas Solovey),
   sk (Dušan Kazik), sl (Matej Urbančič), tr (Muhammet Kara),
   uk (Daniel Korostil), zh_TW (Chao-Hsiung Liao), zh_TW (Cheng-Chia Tseng)

Build
 * Fix #745022: Drop deprecated API (Emmanuele Bassi)
 * Use $(LIBM) instead of -lm (Emmanuele Bassi)
 * Remove unused define (Emmanuele Bassi)
 * Move UI definitions to GResource (Emmanuele Bassi)

GNOME Dictionary 3.15.90                                              2015-02-16
================================================================================
Application
 * Convert to new-style commandline option handling (Matthias Clasen)
 * Make DBus-activatable (Matthias Clasen)
 * Fix #528956: duplicated dictionary sources (Juan R. García Blanco)

Library
 * Fix emission of lookup-start (Juan R. García Blanco)
 * Add GObject introspection support (Stefano Facchini & Juan R. García Blanco)

Translations
 * cs (Marek Černocký), es (Daniel Mustieles), hu (Balázs Úr),
   id (Andika Triwidada), nb (Kjartan Maraas), nl (Erwin Poeze),
   pl (Piotr Drąg), ru (Yuri Myasoedov), sl (Matej Urbančič),
   vi (Trần Ngọc Quân)
 * Update POTFILES for org.gnome.Dictionary.desktop.in (Piotr Drąg)

GNOME Dictionary 3.14.2                                               2014-11-10
================================================================================
Application
 * Use g_timeout_add_seconds() for multi-second timeouts (Emmanuele Bassi)

Translations
 * kk (Baurzhan Muftakhidinov)

GNOME Dictionary 3.14.1                                               2014-10-12
================================================================================
Application
 * Fix #737626: expand sidebar (Michael Catanzaro)

Translations
 * fa (Arash Mousavi), te (Krishnababu Krothapalli), pt_BR (Rafael Ferreira),
   bn_IN (Saibal Ray)

GNOME Dictionary 3.14.0                                               2014-09-22
================================================================================

 * Translation updates

GNOME Dictionary 3.13.92                                              2014-09-18
================================================================================

 * Translation updates
 * Added AppData file

GNOME Dictionary 3.11.0                                              2013-03-18
================================================================================

  • Code fixes by Michael Catanzaro, Florian Müllner, Robert Roth,
  Seán de Búrca, Antono Vasiljev

  • User documentation fixes by Andika Triwidada, Alexandre Franke

  • Thanks to our translation team, we have updates in French, Polish,
  Portuguese, Indonesian, Russian, Chinese, Latvian, Korean, Slovenian,
  Catalan, Norwegian, Italian, Ukranian, Galician, Kannada, Brazilian, German,
  Czech, Hebrew, LIthuanian, Assamese, Tajik, Spanish, Finnish, Brazilian
  Portuguese, Esperanto, Tamil, Greek, Persian, Friulian, Japense, Punjabi,
  Basque, Danish, Korean, Estonian, Vietnamese, Belarusian, Serbian, Irish,
  Hungarian and Solvak.

GNOME Dictionary 3.10.0						     2013-10-06
================================================================================
  • Code fixes:

Alexandre Franke: Fix typo
Andika Triwidada:
      Fix #706556, tag typo
      Fixed typo in string
Antono Vasiljev: Fix bugzilla product in .desktop file
Florian Müllner: sidebar: Do not select unrealized menu items
Nguyễn Thái Ngọc Duy:
      po/vi.po: import from Damned Lies
      po/vi.po: revert two strings, committed by accident previously
Piotr Drąg: Fix broken tags in German help translation
Robert Roth: Fix Ctrl+A and Ctrl+C in the search field
Seán de Búrca:Fix autogen and configure

  • Translation updates:

Many thanks to our translators: 

Andika Triwidada, Alexnadre Franke, A S Alam,
Aman, António Lima, Balázs Úr, Changwoo Ryu, Daniel Korostil, Daniel Mustieles,
Enrico Nicoletto, Fabio Tomat, Fran Diéguez, Ihar Hrachyshka, Inaki Larranaga
Murgoitio, Jiro Matsuzawa, Kenneth Nielsen, Mattias Põldaru, Pavol Klačanský,
Rūdolfs Mazurs, Seán de Búrca, Timo Jyrinki, Trần Ngọc Quân, Мирослав Николић

for adding/updating translations in:

Indonesian, French, Punjabi, Portuguese, Hungarian, Korean, Ukrainian, Spanish,
Brazilian Portuguese, Friulian, Galician, Belarusian, Basque, Japanese, Danish,
Estonian, Slovak, Latvian, Irish, Finnish, Vietnamese and Serbian.

GNOME Dictionary 3.9.0                                                2013-08-21
================================================================================

  • Translation updates:
  Tajik, Spanish, Gujarati, Breton, Hebrew, Galician, Russian, Tranditional
  Chinese, Slovenian, Brazillian Portuguese.

GNOME Dictionary 3.6.0                                                2012-09-25
================================================================================

 * Translation updates


GNOME Dictionary 3.5.2                                                2012-06-05
================================================================================

  • First unstable release for the 3.5 cycle

  • Drop usage of deprecated methods [Ignacio Casal Quinteiro]

  • Use the new GMenu API
  This gives Dictionary an application menu. [Florian Müllner]

  • Translation updates:
  Russian, Indonesian, French, German, Spanish, Galician, Catalan, Belarusian,
  Norwegian bokmål, Czech, Slovenian, Telugu, Hebrew, Simplified Chinese,
  Serbian.

Many thanks to:

  Florian Müllner, Ignacio Casal Quinteiro, Andika Triwidada, Bruno Brouard,
  Aleksej Kabanov, Christian Kirbach, Daniel Mustieles, Fran Diéguez, Gil
  Forcada, Ihar Hrachyshka, Kjartan Maraas, Marek Černocký, Martin Srebotnjak,
  Piotr Drąg, Sasi Bhushan, Yaron Shahrabani, tuhaihe, Мирослав Николић

GNOME Dictionary 3.4.0                                                2012-03-26
================================================================================

  • First stable release of the 3.4 cycle

  • Use XDG configuration directories to store the dictionary data
  Instead of storing the dictionary data into the old $HOME/.gnome2 prefix,
  the Dictionary now uses $XDG_CONFIG_HOME/gnome-dictionary; this allows
  proper redirection of the configuration, as well as dropping the gnome2
  prefix in the Brave New Gnome 3.x World™. The existing data is migrated
  without user intervention. [Antono Vasiljev]

  • Translation updates
  Arabic, Bulgarian, Ukrainian, Galician, Belarusian, Norwegian bokmål,
  Telugu, Estonian, Vietnamese, Assamese, Crimean Tatar (Crimean Turkish),
  Khmer, Gujarati, Finnish.

Many thanks to:

  Krishnababu Krothapalli, Nguyễn Thái Ngọc Duy, Abderrahim Kitouni,
  Alexander Shopov, Antono Vasiljev, Daniel Korostil, Fran Diéguez,
  Ihar Hrachyshka, Kjartan Maraas, Mattias Põldaru, Nilamdyuti Goswami,
  Reşat SABIQ, Seng Sutha, Sweta Kothari, Timo Jyrinki.

GNOME Dictionary 3.3.2						      2011-10-25
================================================================================

  • First unstable release of the 3.3 cycle.
  • First release after the split from GNOME Utilities.
